Skip to content

@my-swu/simulator-client


@my-swu/simulator-client / FormatEventRequest

Interface: FormatEventRequest

Defined in: packages/ts-sdk/src/generated/types/format-event-request.ts:46

HTTP request body for applying a format-event command.

Example:

ts
import type { FormatEventRequest } from '@my-swu/simulator-client'

const 
formatEventRequest
: FormatEventRequest = {
seatToken
: 'seat_token_123',
command
: {
type
: 'readyNextGame' },
}
console
.
log
(
formatEventRequest
)

Indexable

[k: string]: unknown

Properties

command

Example:

ts
import type { FormatEventRequest } from '@my-swu/simulator-client'

const 
formatEventRequest
: FormatEventRequest = {
seatToken
: 'seat_token_123',
command
: {
type
: 'readyNextGame' },
} const {
command
:
formatEventCommand
} =
formatEventRequest
console
.
log
(
formatEventCommand
)

command: {[k: string]: unknown; deck: DeckInput; type: "sideboard"; } | {[k: string]: unknown; type: "readyNextGame"; } | {[k: string]: unknown; deckIndex: number; type: "banTrilogyDeck"; } | {[k: string]: unknown; deckIndex: number; type: "selectTrilogyDeck"; } | {[k: string]: unknown; cardId: number; packIndex: number; type: "draftPick"; }

Defined in: packages/ts-sdk/src/generated/types/format-event-request.ts:50

Out-of-game format command to apply.

Union Members

Type Literal

{[k: string]: unknown; deck: DeckInput; type: "sideboard"; }


Type Literal

{[k: string]: unknown; type: "readyNextGame"; }


Type Literal

{[k: string]: unknown; deckIndex: number; type: "banTrilogyDeck"; }

Index Signature

[k: string]: unknown

deckIndex

deckIndex: number

Zero-based index into the opponent's registered deck set.

type

type: "banTrilogyDeck"


Type Literal

{[k: string]: unknown; deckIndex: number; type: "selectTrilogyDeck"; }

Index Signature

[k: string]: unknown

deckIndex

deckIndex: number

Zero-based index into this seat's registered deck set.

type

type: "selectTrilogyDeck"


Type Literal

{[k: string]: unknown; cardId: number; packIndex: number; type: "draftPick"; }

Index Signature

[k: string]: unknown

cardId

cardId: number

Card id to pick from the selected pack.

packIndex

packIndex: number

Zero-based index into this seat's active draft packs.

type

type: "draftPick"


seatToken

Example:

ts
import type { FormatEventRequest } from '@my-swu/simulator-client'

const 
formatEventRequest
: FormatEventRequest = {
seatToken
: 'seat_token_123',
command
: {
type
: 'readyNextGame' },
} const {
seatToken
} =
formatEventRequest
console
.
log
(
seatToken
)

seatToken: string

Defined in: packages/ts-sdk/src/generated/types/format-event-request.ts:86

Seat token returned by match creation or join.

Released under the MIT License.